Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element
Class OdfElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfAlphabeticalIndexAutoMarkFileElement, OdfAlphabeticalIndexMarkElement, OdfAlphabeticalIndexMarkEndElement, OdfAlphabeticalIndexMarkStartElement, OdfAlphabeticalIndexSourceElement, OdfAmPmElement, OdfAnimateColorElement, OdfAnimateElement, OdfAnimateMotionElement, OdfAnimateTransformElement, OdfAnimationGroupElement, OdfAnimationsElement, OdfAnnotationEndElement, OdfAppletElement, OdfApplicationConnectionSettingsElement, OdfAreaCircleElement, OdfAreaPolygonElement, OdfAreaRectangleElement, OdfAudioElement, OdfAuthorInitialsElement, OdfAuthorNameElement, OdfAutoIncrementElement, OdfAutoReloadElement, OdfBackgroundElement, OdfBackgroundImageElement, OdfBibliographyConfigurationElement, OdfBibliographyMarkElement, OdfBibliographySourceElement, OdfBinaryDataElement, OdfBodyElement, OdfBookmarkElement, OdfBookmarkEndElement, OdfBookmarkRefElement, OdfBookmarkStartElement, OdfBooleanElement, OdfBooleanStyleElement, OdfButtonElement, OdfCalculationSettingsElement, OdfCategoriesElement, OdfCellAddressElement, OdfCellContentChangeElement, OdfCellContentDeletionElement, OdfCellRangeSourceElement, OdfChangeDeletionElement, OdfChangedRegionElement, OdfChangeElement, OdfChangeEndElement, OdfChangeInfoElement, OdfChangeStartElement, OdfChangeTrackTableCellElement, OdfChapterElement, OdfCharacterCountElement, OdfCharacterSetElement, OdfChartElement, OdfCheckboxElement, OdfColumnDefinitionElement, OdfColumnDefinitionsElement, OdfColumnElement, OdfColumnElement, OdfColumnElement, OdfColumnsElement, OdfColumnsElement, OdfColumnSepElement, OdfComboboxElement, OdfCommandElement, OdfComponentCollectionElement, OdfComponentElement, OdfCompoundDatabaseElement, OdfConditionalTextElement, OdfConfigItemElement, OdfConfigItemMapEntryElement, OdfConfigItemMapIndexedElement, OdfConfigItemMapNamedElement, OdfConfigItemSetElement, OdfConnectionDataElement, OdfConnectionResourceElement, OdfConnectionResourceElement, OdfConsolidationElement, OdfContainerElementBase, OdfContentValidationElement, OdfContentValidationsElement, OdfContourPathElement, OdfContourPolygonElement, OdfCreationDateElement, OdfCreationDateElement, OdfCreationTimeElement, OdfCreatorElement, OdfCreatorElement, OdfCurrencyStyleElement, OdfCurrencySymbolElement, OdfCutOffsElement, OdfDatabaseDescriptionElement, OdfDatabaseDisplayElement, OdfDatabaseElement, OdfDatabaseNameElement, OdfDatabaseNextElement, OdfDatabaseRangeElement, OdfDatabaseRangesElement, OdfDatabaseRowNumberElement, OdfDatabaseRowSelectElement, OdfDatabaseSourceQueryElement, OdfDatabaseSourceSqlElement, OdfDatabaseSourceTableElement, OdfDataLabelElement, OdfDataPilotDisplayInfoElement, OdfDataPilotFieldElement, OdfDataPilotFieldReferenceElement, OdfDataPilotGroupElement, OdfDataPilotGroupMemberElement, OdfDataPilotGroupsElement, OdfDataPilotLayoutInfoElement, OdfDataPilotLevelElement, OdfDataPilotMemberElement, OdfDataPilotMembersElement, OdfDataPilotSortInfoElement, OdfDataPilotSubtotalElement, OdfDataPilotSubtotalsElement, OdfDataPilotTableElement, OdfDataPilotTablesElement, OdfDataSourceElement, OdfDataSourceSettingElement, OdfDataSourceSettingsElement, OdfDataSourceSettingValueElement, OdfDateElement, OdfDateElement, OdfDateElement, OdfDateStringElement, OdfDateStyleElement, OdfDateTimeDeclElement, OdfDateTimeElement, OdfDayElement, OdfDayOfWeekElement, OdfDdeConnectionDeclElement, OdfDdeConnectionDeclsElement, OdfDdeConnectionElement, OdfDdeLinkElement, OdfDdeLinksElement, OdfDdeSourceElement, OdfDefault, OdfDefaultPageLayoutElement, OdfDefinitionSrcElement, OdfDeletionElement, OdfDeletionElement, OdfDeletionsElement, OdfDelimiterElement, OdfDependenciesElement, OdfDependencyElement, OdfDescElement, OdfDescElement, OdfDescriptionElement, OdfDescriptionElement, OdfDetectiveElement, OdfDimElement, OdfDocumentContentElement, OdfDocumentElement, OdfDocumentMetaElement, OdfDocumentSettingsElement, OdfDocumentStatisticElement, OdfDocumentStylesElement, OdfDomainElement, OdfDrawingElement, OdfDriverSettingsElement, OdfEditingCyclesElement, OdfEditingCyclesElement, OdfEditingDurationElement, OdfEditingDurationElement, OdfEmbeddedTextElement, OdfEnhancedGeometryElement, OdfEquationElement, OdfEquationElement, OdfEraElement, OdfErrorMacroElement, OdfErrorMessageElement, OdfEventListenerElement, OdfEventListenerElement, OdfEventListenersElement, OdfExecuteMacroElement, OdfExpressionElement, OdfFileBasedDatabaseElement, OdfFileElement, OdfFileNameElement, OdfFillImageElement, OdfFilterAndElement, OdfFilterConditionElement, OdfFilterElement, OdfFilterOrElement, OdfFilterSetItemElement, OdfFilterStatementElement, OdfFixedTextElement, OdfFloatingFrameElement, OdfFontFaceDeclsElement, OdfFontFaceElement, OdfFontFaceFormatElement, OdfFontFaceNameElement, OdfFontFaceSrcElement, OdfFontFaceUriElement, OdfFooterDeclElement, OdfFooterElement, OdfFooterElement, OdfFooterLeftElement, OdfFooterStyleElement, OdfFootnoteSepElement, OdfFormatChangeElement, OdfFormattedTextElement, OdfFormElement, OdfFormsElement, OdfFormsElement, OdfFractionElement, OdfFrameElement, OdfGeneratorElement, OdfGenericControlElement, OdfGluePointElement, OdfGradientElement, OdfGridElement, OdfHandleElement, OdfHatchElement, OdfHeaderDeclElement, OdfHeaderElement, OdfHeaderElement, OdfHeaderLeftElement, OdfHeaderStyleElement, OdfHelpMessageElement, OdfHiddenElement, OdfHiddenParagraphElement, OdfHiddenTextElement, OdfHideShapeElement, OdfHideTextElement, OdfHighlightedRangeElement, OdfHoursElement, OdfHyperlinkBehaviourElement, OdfHyperlinkElement, OdfIllustrationIndexSourceElement, OdfImageCountElement, OdfImageElement, OdfImageElement, OdfImageElement, OdfImageFrameElement, OdfImageMapElement, OdfIndexBodyElement, OdfIndexColumnElement, OdfIndexColumnsElement, OdfIndexElement, OdfIndexSourceStylesElement, OdfIndicesElement, OdfInitialCreatorElement, OdfInitialCreatorElement, OdfInsertionCutOffElement, OdfInsertionElement, OdfInsertionElement, OdfItemElement, OdfIterateElement, OdfIterationElement, OdfJavaClasspathElement, OdfKeyColumnElement, OdfKeyColumnsElement, OdfKeyElement, OdfKeysElement, OdfKeywordElement, OdfKeywordsElement, OdfLabelRangeElement, OdfLabelRangesElement, OdfLabelSeparatorElement, OdfLanguageElement, OdfLayerElement, OdfLayerSetElement, OdfLightElement, OdfLinearGradientElement, OdfLineBreakElement, OdfLinenumberingSeparatorElement, OdfListboxElement, OdfListElement, OdfListHeaderElement, OdfListItemElement, OdfListLevelLabelAlignmentElement, OdfListPropertyElement, OdfListValueElement, OdfLoginElement, OdfMapElement, OdfMarkerElement, OdfMathElement, OdfMeasureElement, OdfMetaElement, OdfMetaElement, OdfMetaFieldElement, OdfMinutesElement, OdfModelElement, OdfModificationDateElement, OdfModificationTimeElement, OdfMonthElement, OdfMovementCutOffElement, OdfMovementElement, OdfNamedExpressionElement, OdfNamedExpressionsElement, OdfNamedRangeElement, OdfNoteBodyElement, OdfNoteCitationElement, OdfNoteContinuationNoticeBackwardElement, OdfNoteContinuationNoticeForwardElement, OdfNoteElement, OdfNoteRefElement, OdfNotesConfigurationElement, OdfNullDateElement, OdfNumberElement, OdfNumberElement, OdfNumberElement, OdfNumberStyleElement, OdfObjectCountElement, OdfObjectElement, OdfObjectIndexSourceElement, OdfObjectOleElement, OdfOpacityElement, OdfOperationElement, OdfOptionElement, OdfOrderStatementElement, OdfOutlineStyleElement, OdfPageContinuationElement, OdfPageCountElement, OdfPageElement, OdfPageNumberElement, OdfPageSequenceElement, OdfPageVariableGetElement, OdfPageVariableSetElement, OdfParagraphCountElement, OdfParamElement, OdfParamElement, OdfParElement, OdfPasswordElement, OdfPercentageStyleElement, OdfPlaceholderElement, OdfPlaceholderElement, OdfPlayElement, OdfPluginElement, OdfPresentationPageLayoutElement, OdfPreviousElement, OdfPrintDateElement, OdfPrintDateElement, OdfPrintedByElement, OdfPrintedByElement, OdfPrintTimeElement, OdfPropertiesElement, OdfPropertyElement, OdfQuarterElement, OdfQueriesElement, OdfQueryCollectionElement, OdfQueryElement, OdfRadialGradientElement, OdfRadioElement, OdfReferenceMarkElement, OdfReferenceMarkEndElement, OdfReferenceMarkStartElement, OdfReferenceRefElement, OdfRegionCenterElement, OdfRegionLeftElement, OdfRegionRightElement, OdfReportsElement, OdfRubyBaseElement, OdfScenarioElement, OdfSchemaDefinitionElement, OdfScientificNumberElement, OdfScriptElement, OdfScriptElement, OdfScriptsElement, OdfSecondsElement, OdfSectionSourceElement, OdfSenderCityElement, OdfSenderCompanyElement, OdfSenderCountryElement, OdfSenderEmailElement, OdfSenderFaxElement, OdfSenderFirstnameElement, OdfSenderInitialsElement, OdfSenderLastnameElement, OdfSenderPhonePrivateElement, OdfSenderPhoneWorkElement, OdfSenderPositionElement, OdfSenderPostalCodeElement, OdfSenderStateOrProvinceElement, OdfSenderStreetElement, OdfSenderTitleElement, OdfSeqElement, OdfSequenceDeclElement, OdfSequenceDeclsElement, OdfSequenceElement, OdfSequenceRefElement, OdfServerDatabaseElement, OdfSetElement, OdfSettingsElement, OdfSettingsElement, OdfShapesElement, OdfSheetNameElement, OdfShowElement, OdfShowShapeElement, OdfShowTextElement, OdfSoftPageBreakElement, OdfSortByElement, OdfSortElement, OdfSortGroupsElement, OdfSortKeyElement, OdfSoundElement, OdfSourceCellRangeElement, OdfSourceRangeAddressElement, OdfSourceServiceElement, OdfSpaceElement, OdfSpreadsheetElement, OdfStopElement, OdfStrokeDashElement, OdfStylableElement, OdfStylePropertiesBase, OdfSubjectElement, OdfSubjectElement, OdfSubtotalFieldElement, OdfSubtotalRuleElement, OdfSubtotalRulesElement, OdfSymbolImageElement, OdfTabElement, OdfTableColumnGroupElement, OdfTableColumnsElement, OdfTableCountElement, OdfTableDefinitionElement, OdfTableDefinitionsElement, OdfTableExcludeFilterElement, OdfTableFilterElement, OdfTableFilterPatternElement, OdfTableFormulaElement, OdfTableHeaderColumnsElement, OdfTableHeaderRowsElement, OdfTableIncludeFilterElement, OdfTableIndexSourceElement, OdfTableOfContentSourceElement, OdfTableRepresentationElement, OdfTableRepresentationsElement, OdfTableRowGroupElement, OdfTableRowsElement, OdfTableSettingElement, OdfTableSettingsElement, OdfTableSourceElement, OdfTableTemplateElement, OdfTableTypeElement, OdfTableTypeFilterElement, OdfTabStopElement, OdfTabStopsElement, OdfTargetRangeAddressElement, OdfTemplateElement, OdfTemplateNameElement, OdfTextareaElement, OdfTextBoxElement, OdfTextContentElement, OdfTextElement, OdfTextElement, OdfTextElement, OdfTextInputElement, OdfTextStyleElement, OdfTimeElement, OdfTimeElement, OdfTimeStyleElement, OdfTitleElement, OdfTitleElement, OdfTitleElement, OdfTitleElement, OdfTocMarkElement, OdfTocMarkEndElement, OdfTocMarkStartElement, OdfTrackedChangesElement, OdfTrackedChangesElement, OdfTransitionFilterElement, OdfUpdateTableElement, OdfUserDefinedElement, OdfUserDefinedElement, OdfUserFieldDeclElement, OdfUserFieldDeclsElement, OdfUserFieldGetElement, OdfUserFieldInputElement, OdfUserIndexMarkElement, OdfUserIndexMarkEndElement, OdfUserIndexMarkStartElement, OdfUserIndexSourceElement, OdfValueRangeElement, OdfVariableDeclElement, OdfVariableDeclsElement, OdfVariableGetElement, OdfVariableInputElement, OdfVariableSetElement, OdfWeekOfYearElement, OdfWordCountElement, OdfYearElement

    public abstract class OdfElement

extends ElementNSImpl

See Also:
  Serialized Form

Field Summary
`protected OdfDocument` | `mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfElement(OdfFileDom ownerDocument, OdfName aName)` Creates a new instance of OdfElement
`OdfElement(OdfFileDom ownerDocument, String namespaceURI, String qualifiedName)` Creates a new instance of OdfElement

Method Summary
`Node` | `cloneNode(boolean deep)`
`boolean` | `equals(Object obj)` indicates if some other object is equal to this one.
`static
`<T extends OdfElement> T`
` | `findFirstChildNode(Class<T> clazz, Node parentNode)` returns the first child node that implements the given class.
`static
`<T extends OdfElement> T`
` | `findNextChildNode(Class<T> clazz, Node refNode)` returns the first sibling after the given reference node that implements the given class.
`static
`<T extends OdfElement> T`
` | `findPreviousChildNode(Class<T> clazz, Node refNode)` returns the first previous sibling before the given reference node that implements the given class.
`protected
`<T extends OdfElement> T`
` | `getAncestorAs(Class<T> clazz)`
`String` | `getOdfAttribute(OdfName name)`
`abstract OdfName` | `getOdfName()`
`protected
`<T extends OdfElement> T`
` | `getParentAs(Class<T> clazz)`
`boolean` | `hasOdfAttribute(OdfName name)`
`Node` | `insertBefore(Node newChild, Node refChild)`
`protected void` | `onInsertNode()`
`protected void` | `onInsertNode(Node node)`
`protected void` | `onRemoveNode()`
`protected void` | `onRemoveNode(Node node)`
`Node` | `removeChild(Node oldChild)`
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setOdfAttribute(OdfName name, String value)`
`String` | `toString()`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### mOdfDocument

    protected OdfDocument mOdfDocument

Constructor Detail

### OdfElement

    public OdfElement(OdfFileDom ownerDocument,
                      String namespaceURI,
                      String qualifiedName)
               throws DOMException

  Creates a new instance of OdfElement

  Throws:
    `DOMException`

### OdfElement

    public OdfElement(OdfFileDom ownerDocument,
                      OdfName aName)
               throws DOMException

  Creates a new instance of OdfElement

  Throws:
    `DOMException`

Method Detail

### getOdfName

    public abstract OdfName getOdfName()

### getParentAs

    protected <T extends OdfElement> T getParentAs(Class<T> clazz)

### getAncestorAs

    protected <T extends OdfElement> T getAncestorAs(Class<T> clazz)

### toString

    public String toString()

  Overrides:
    `toString` in class `NodeImpl`

### setOdfAttribute

    public void setOdfAttribute(OdfName name,
                                String value)

### getOdfAttribute

    public String getOdfAttribute(OdfName name)

### hasOdfAttribute

    public boolean hasOdfAttribute(OdfName name)

### findFirstChildNode

    public static <T extends OdfElement> T findFirstChildNode(Class<T> clazz,
                                                              Node parentNode)

  returns the first child node that implements the given class.

  Type Parameters:
    `T` - The type of the ODF element to be found.
  Parameters:
    `clazz` - is a class that extends OdfElement.
    `parentNode` - is the parent O of the children to be found.
  Returns:
    the first child node of the given parentNode that is a clazz or null if none is found.

### findNextChildNode

    public static <T extends OdfElement> T findNextChildNode(Class<T> clazz,
                                                             Node refNode)

  returns the first sibling after the given reference node that implements the given class.

  Type Parameters:
    `T` - The type of the ODF element to be found.
  Parameters:
    `clazz` - is a class that extends OdfElement.
    `refNode` - the reference node of the siblings to be found.
  Returns:
    the first sibbling of the given reference node that is a clazz or null if none is found.

### findPreviousChildNode

    public static <T extends OdfElement> T findPreviousChildNode(Class<T> clazz,
                                                                 Node refNode)

  returns the first previous sibling before the given reference node that implements the given class.

  Parameters:
    `clazz` - is a class that extends OdfElement.
    `refNode` - the reference node which siblings are to be searched.
  Returns:
    the first previous sibbling of the given reference node that is a clazz or null if none is found.

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `ElementImpl`

### equals

    public boolean equals(Object obj)

  indicates if some other object is equal to this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - - the reference object with which to compare.
  Returns:
    true if this object is the same as the obj argument; false otherwise.

### onRemoveNode

    protected void onRemoveNode(Node node)

### onInsertNode

    protected void onInsertNode(Node node)

### onRemoveNode

    protected void onRemoveNode()

### onInsertNode

    protected void onInsertNode()

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Overrides:
    `insertBefore` in class `ParentNode`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Overrides:
    `removeChild` in class `ParentNode`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Overrides:
    `replaceChild` in class `ParentNode`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.